Subject: Make table name correspond to full model class name
Description

To avoid name clashes the generated table names should be based on the FQCN of a model.

Associated revisions
Revision 8cf483ae - 2011-08-25 17:14 - Karsten Dambekalns

[!!!][TASK] Make table name correspond to full model class name

Table names are now based on the fully qualified class name.

Beware of long names on systems other than MySQL, currently we limit to
64 characters (the MySQL limit). When updating, you need to rename
tables of your own models, see the included migration for inspiration.

Change-Id: I1fbc1b7d8c647b2b518eaea0e543a6fac88b60e2
Resolves: #29213

History
#1 - 2011-08-24 16:15 - Karsten Dambekalns

Note: max 64 characters for names in MySQL

#2 - 2011-08-25 15:53 - Mr. Hudson
- Status changed from Accepted to Under Review

Patch set 1 of change I1fbc1b7d8c647b2b518eaea0e543a6fac88b60e2 has been pushed to the review server.
It is available at http://review.typo3.org/4591

#3 - 2011-08-25 15:54 - Mr. Hudson

Patch set 2 of change I1fbc1b7d8c647b2b518eaea0e543a6fac88b60e2 has been pushed to the review server.
It is available at http://review.typo3.org/4591

#4 - 2011-08-25 17:14 - Mr. Hudson
Patch set 3 of change I1fbc1b7d8c647b2b518eaea0e543a6fac88b60e2 has been pushed to the review server.
It is available at http://review.typo3.org/4591

#5 - 2011-08-26 10:35 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:8cf483aec7f8f654a501b105b64404edfce33fbc.
